> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# People Enrich



## OpenAPI

````yaml https://api.notte.cc/openapi.json post /data/people/enrich
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.9.8
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: audit
    description: Audit trail of account and workspace changes.
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /data/people/enrich:
    post:
      tags:
        - Data APIs
        - Data people
      summary: People Enrich
      operationId: people_enrich
      parameters:
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PeopleEnrichRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PeopleEnrichResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os

            import requests

            response = requests.post(
                "https://api.notte.cc/data/people/enrich",
                headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
                json={"name": {"first": "Simon", "last": "Willison"}, "social_urls": ["https://github.com/simonw"]},
                timeout=330,
            )
            response.raise_for_status()
            print(response.json())
          label: python
        - lang: TypeScript
          source: >-
            const response = await
            fetch("https://api.notte.cc/data/people/enrich", {
              method: "POST",
              headers: {
                Authorization: `Bearer ${process.env.NOTTE_API_KEY}`,
                "Content-Type": "application/json",
              },
              body: JSON.stringify({
                "name": {
                  "first": "Simon",
                  "last": "Willison"
                },
                "social_urls": [
                  "https://github.com/simonw"
                ]
              }),
              signal: AbortSignal.timeout(330_000),
            });

            if (!response.ok) throw new Error(await response.text());

            console.log(await response.json());
          label: node
        - lang: Curl
          source: >-
            curl --fail-with-body --max-time 330 --request POST
            https://api.notte.cc/data/people/enrich \
              --header "Authorization: Bearer $NOTTE_API_KEY" \
              --header 'Content-Type: application/json' \
              --data '{
              "name": {
                "first": "Simon",
                "last": "Willison"
              },
              "social_urls": [
                "https://github.com/simonw"
              ]
            }'
          label: curl
components:
  schemas:
    PeopleEnrichRequest:
      properties:
        social_urls:
          anyOf:
            - items:
                type: string
                format: uri
              type: array
              maxItems: 20
              minItems: 1
            - type: 'null'
          title: Social Urls
        name:
          anyOf:
            - $ref: '#/components/schemas/NameClue'
            - type: 'null'
        email:
          anyOf:
            - type: string
              maxLength: 320
            - type: 'null'
          format: email
          title: Email
        company:
          anyOf:
            - $ref: '#/components/schemas/OrganizationClue'
            - type: 'null'
        education:
          anyOf:
            - items:
                $ref: '#/components/schemas/EducationClue'
              type: array
              maxItems: 10
              minItems: 1
            - type: 'null'
          title: Education
        location:
          anyOf:
            - $ref: '#/components/schemas/LocationClue'
            - type: 'null'
        timeoutOpts:
          anyOf:
            - $ref: '#/components/schemas/PeopleTimeout'
            - type: 'null'
        zdr:
          anyOf:
            - type: string
              enum:
                - enabled
                - disabled
            - type: 'null'
          title: Zdr
        tags:
          anyOf:
            - items:
                type: string
                maxLength: 50
                minLength: 1
              type: array
              maxItems: 20
            - type: 'null'
          title: Tags
      additionalProperties: false
      type: object
      title: PeopleEnrichRequest
    PeopleEnrichResponse:
      properties:
        partial:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Partial
        match:
          oneOf:
            - $ref: '#/components/schemas/CandidateMatch'
            - $ref: '#/components/schemas/NotFoundMatch'
          title: Match
          discriminator:
            propertyName: status
            mapping:
              candidate: '#/components/schemas/CandidateMatch'
              not_found: '#/components/schemas/NotFoundMatch'
        request_id:
          type: string
          format: uuid
          title: Request Id
      additionalProperties: false
      type: object
      required:
        - match
        - request_id
      title: PeopleEnrichResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NameClue:
      properties:
        first:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
            - type: 'null'
          title: First
        last:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
            - type: 'null'
          title: Last
      additionalProperties: false
      type: object
      title: NameClue
    OrganizationClue:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 200
              minLength: 1
            - type: 'null'
          title: Name
        domain:
          anyOf:
            - type: string
              maxLength: 253
              minLength: 1
            - type: 'null'
          title: Domain
      additionalProperties: false
      type: object
      title: OrganizationClue
    EducationClue:
      properties:
        institution:
          anyOf:
            - $ref: '#/components/schemas/OrganizationClue'
            - type: 'null'
        degree:
          anyOf:
            - type: string
              maxLength: 200
              minLength: 1
            - type: 'null'
          title: Degree
        field_of_study:
          anyOf:
            - type: string
              maxLength: 200
              minLength: 1
            - type: 'null'
          title: Field Of Study
        graduation_year:
          anyOf:
            - type: integer
              maximum: 2200
              minimum: 1900
            - type: 'null'
          title: Graduation Year
      additionalProperties: false
      type: object
      title: EducationClue
    LocationClue:
      properties:
        city:
          anyOf:
            - type: string
              maxLength: 200
              minLength: 1
            - type: 'null'
          title: City
        region:
          anyOf:
            - type: string
              maxLength: 200
              minLength: 1
            - type: 'null'
          title: Region
        country:
          anyOf:
            - type: string
              maxLength: 200
              minLength: 1
            - type: 'null'
          title: Country
      additionalProperties: false
      type: object
      title: LocationClue
    PeopleTimeout:
      properties:
        milliseconds:
          type: integer
          maximum: 300000
          minimum: 1000
          title: Milliseconds
        behavior:
          type: string
          enum:
            - fail
            - return-partial
          title: Behavior
          default: fail
      additionalProperties: false
      type: object
      required:
        - milliseconds
      title: PeopleTimeout
    CandidateMatch:
      properties:
        status:
          type: string
          const: candidate
          title: Status
        score:
          type: integer
          maximum: 100
          minimum: 0
          title: Score
        person:
          $ref: '#/components/schemas/Person'
      additionalProperties: false
      type: object
      required:
        - status
        - score
        - person
      title: CandidateMatch
    NotFoundMatch:
      properties:
        status:
          type: string
          const: not_found
          title: Status
        score:
          type: 'null'
          title: Score
        person:
          type: 'null'
          title: Person
      additionalProperties: false
      type: object
      required:
        - status
        - score
        - person
      title: NotFoundMatch
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Person:
      properties:
        name:
          anyOf:
            - $ref: '#/components/schemas/PersonName'
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
          format: email
          title: Email
        avatar_url:
          anyOf:
            - type: string
              pattern: ^https://media\.brand\.dev/pfp/[0-9a-f-]{36}$
            - type: 'null'
          title: Avatar Url
        bio:
          anyOf:
            - type: string
            - type: 'null'
          title: Bio
        location:
          anyOf:
            - $ref: '#/components/schemas/PersonLocation'
            - type: 'null'
        social_urls:
          items:
            type: string
            format: uri
          type: array
          title: Social Urls
        website_urls:
          items:
            type: string
            format: uri
          type: array
          title: Website Urls
        current_role:
          anyOf:
            - $ref: '#/components/schemas/PersonRole'
            - type: 'null'
        current_role_status:
          type: string
          enum:
            - present
            - none
            - unknown
          title: Current Role Status
        experience:
          items:
            $ref: '#/components/schemas/PersonRole'
          type: array
          title: Experience
        education:
          items:
            $ref: '#/components/schemas/PersonEducation'
          type: array
          title: Education
        skills:
          items:
            type: string
          type: array
          title: Skills
        last_updated:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Updated
        checked_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Checked At
      additionalProperties: false
      type: object
      required:
        - social_urls
        - website_urls
        - current_role_status
        - experience
        - education
        - skills
      title: Person
    PersonName:
      properties:
        full:
          anyOf:
            - type: string
            - type: 'null'
          title: Full
        first:
          anyOf:
            - type: string
            - type: 'null'
          title: First
        last:
          anyOf:
            - type: string
            - type: 'null'
          title: Last
      additionalProperties: false
      type: object
      title: PersonName
    PersonLocation:
      properties:
        display:
          anyOf:
            - type: string
            - type: 'null'
          title: Display
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Country Code
      additionalProperties: false
      type: object
      title: PersonLocation
    PersonRole:
      properties:
        title:
          type: string
          title: Title
        organization:
          $ref: '#/components/schemas/PersonOrganization'
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        start_date:
          anyOf:
            - $ref: '#/components/schemas/PersonDate'
            - type: 'null'
        end_date:
          anyOf:
            - $ref: '#/components/schemas/PersonDate'
            - type: 'null'
        is_current:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Current
      additionalProperties: false
      type: object
      required:
        - title
        - organization
      title: PersonRole
    PersonEducation:
      properties:
        institution:
          $ref: '#/components/schemas/PersonOrganization'
        degree:
          anyOf:
            - type: string
            - type: 'null'
          title: Degree
        field_of_study:
          anyOf:
            - type: string
            - type: 'null'
          title: Field Of Study
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        start_date:
          anyOf:
            - $ref: '#/components/schemas/PersonDate'
            - type: 'null'
        end_date:
          anyOf:
            - $ref: '#/components/schemas/PersonDate'
            - type: 'null'
      additionalProperties: false
      type: object
      required:
        - institution
      title: PersonEducation
    PersonOrganization:
      properties:
        name:
          type: string
          title: Name
        domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Domain
      additionalProperties: false
      type: object
      required:
        - name
      title: PersonOrganization
    PersonDate:
      properties:
        year:
          type: integer
          title: Year
        month:
          anyOf:
            - type: integer
              maximum: 12
              minimum: 1
            - type: 'null'
          title: Month
        day:
          anyOf:
            - type: integer
              maximum: 31
              minimum: 1
            - type: 'null'
          title: Day
      additionalProperties: false
      type: object
      required:
        - year
      title: PersonDate
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.